<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celEnvFluid Class Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">celEnvFluid Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celEnvFluid" --><!-- doxytag: inherits="scfImplementationExt1&lt; celEnvFluid, csObject, scfFakeInterface&lt; celEnvFluid &gt; &gt;" -->
<p>A class implementing a fluid in a sector.  
 <a href="classcelEnvFluid.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="mechenv_8h_source.html">propclass/mechenv.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for celEnvFluid:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcelEnvFluid.png" usemap="#celEnvFluid_map" alt=""/>
  <map id="celEnvFluid_map" name="celEnvFluid_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementationExt1.html" alt="scfImplementationExt1&lt; celEnvFluid, csObject, scfFakeInterface&lt; celEnvFluid &gt; &gt;" shape="rect" coords="0,0,480,24"/>
</map>
 </div></div>

<p><a href="classcelEnvFluid-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelEnvFluid.html#a0bd1c1e0f6eea07f22c0f620268fef47">density</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The density of the fluid in this sector.  <a href="#a0bd1c1e0f6eea07f22c0f620268fef47"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelEnvFluid.html#aa2e06e50ec592d1978dc14a9f22e4018">flow</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The velocity of fluid flow in this sector.  <a href="#aa2e06e50ec592d1978dc14a9f22e4018"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A class implementing a fluid in a sector. </p>

<p>Definition at line <a class="el" href="mechenv_8h_source.html#l00072">72</a> of file <a class="el" href="mechenv_8h_source.html">mechenv.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a0bd1c1e0f6eea07f22c0f620268fef47"></a><!-- doxytag: member="celEnvFluid::density" ref="a0bd1c1e0f6eea07f22c0f620268fef47" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classcelEnvFluid.html#a0bd1c1e0f6eea07f22c0f620268fef47">celEnvFluid::density</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The density of the fluid in this sector. </p>

<p>Definition at line <a class="el" href="mechenv_8h_source.html#l00084">84</a> of file <a class="el" href="mechenv_8h_source.html">mechenv.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa2e06e50ec592d1978dc14a9f22e4018"></a><!-- doxytag: member="celEnvFluid::flow" ref="aa2e06e50ec592d1978dc14a9f22e4018" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="el" href="classcelEnvFluid.html#aa2e06e50ec592d1978dc14a9f22e4018">celEnvFluid::flow</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The velocity of fluid flow in this sector. </p>

<p>Definition at line <a class="el" href="mechenv_8h_source.html#l00088">88</a> of file <a class="el" href="mechenv_8h_source.html">mechenv.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>propclass/<a class="el" href="mechenv_8h_source.html">mechenv.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
